Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.reconciler
Interface IReconciler

All Known Implementing Classes:
  AbstractReconciler

public interface IReconciler

An `IReconciler` defines and maintains a model of the content of the text viewer's document in the presence of changes applied to this document. An `IReconciler` is a `ITextViewer` add-on.

Reconcilers are assumed to be asynchronous, i.e. they allow a certain temporal window of inconsistency between the document and the model of the content of this document.

Reconcilers have a list of `IReconcilingStrategy` objects each of which is registered for a particular document content type. The reconciler uses the strategy objects to react on the changes applied to the text viewer's document.

In order to provide backward compatibility for clients of `IReconciler`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IReconcilerExtension` since version 3.0 introducing the ability to be aware of documents with multiple partitions.

The interface can be implemented by clients. By default, clients use `Reconciler` as the standard implementer of this interface.

See Also:
  `ITextViewer`, `IReconcilingStrategy`

Method Summary
`IReconcilingStrategy` | `getReconcilingStrategy(String contentType)` Returns the reconciling strategy registered with the reconciler for the specified content type.
`void` | `install(ITextViewer textViewer)` Installs the reconciler on the given text viewer.
`void` | `uninstall()` Removes the reconciler from the text viewer it has previously been installed on.

Method Detail

### install

    public void install(ITextViewer textViewer)

  Installs the reconciler on the given text viewer. After this method has been finished, the reconciler is operational, i.e., it works without requesting further client actions until `uninstall` is called.

  Parameters:
    `textViewer` - the viewer on which the reconciler is installed

### uninstall

    public void uninstall()

  Removes the reconciler from the text viewer it has previously been installed on.

### getReconcilingStrategy

    public IReconcilingStrategy getReconcilingStrategy(String contentType)

  Returns the reconciling strategy registered with the reconciler for the specified content type.

  Parameters:
    `contentType` - the content type for which to determine the reconciling strategy
  Returns:
    the reconciling strategy registered for the given content type, or `null` if there is no such strategy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.